

/* COURSES SECTION */

.courses{
    padding:100px 0;
}

.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title span{

    color:#f8f7fb;
    font-weight:600;
}

.section-title h2{

    font-size:50px;
    margin:15px 0;
    color:#111827;
}

.section-title p{
    color:#666;
}

/* GRID */

.course-grid{

    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

/* CARD */

.course-card{

    background:#fff;
    border-radius:20px;
    overflow:hidden;

    box-shadow:
    0 10px 30px rgba(0,0,0,.06);

    transition:.4s;
}

.course-card:hover{

    transform:translateY(-8px);
}

.course-image{

    position:relative;
    height:220px;
    overflow:hidden;
}

.course-image img{

    width:100%;
    height:100%;
    object-fit:cover;
    transition:.4s;
}

.course-card:hover .course-image img{

    transform:scale(1.08);
}

/* Duration Badge */

.badge{

    position:absolute;
    top:15px;
    right:15px;

    background:#8b5cf6;
    color:#fff;

    padding:8px 15px;
    border-radius:30px;

    font-size:14px;
    font-weight:600;
}

/* CONTENT */

.course-content{
    padding:25px;
}

.course-content h3{

    font-size:22px;
    color:#111827;
    margin-bottom:15px;
}

/* INFO */

.course-info{

    display:flex;
    justify-content:space-between;

    margin-bottom:15px;

    font-size:14px;
    color:#666;
}

.course-info i{
    color:#8b5cf6;
}

/* DESCRIPTION */

.course-content p{

    color:#666;
    line-height:1.8;

    margin-bottom:25px;
}

/* FOOTER */

.course-footer{

    display:flex;
    align-items:center;
    justify-content:space-between;
}

.course-footer h4{

    color:#8b5cf6;
    font-size:24px;
}

.course-footer a{

    text-decoration:none;

    background:
    linear-gradient(
    135deg,
    #8b5cf6,
    #6f3ff5
    );

    color:#fff;

    padding:12px 20px;

    border-radius:10px;

    font-size:14px;
    font-weight:500;

    transition:.3s;
}

.course-footer a:hover{

    transform:translateY(-3px);
}

/* RESPONSIVE */

@media(max-width:992px){

    .course-hero .container{

        flex-direction:column;
        text-align:center;
    }

    .hero-content h1{
        font-size:50px;
    }

    .course-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .section-title h2{
        font-size:40px;
    }
}

@media(max-width:768px){

    .course-grid{
        grid-template-columns:1fr;
    }

    .hero-content h1{
        font-size:40px;
    }
}

@media(max-width:576px){

    .course-hero{
        padding:120px 0 80px;
    }

    .hero-content h1{
        font-size:32px;
    }

    .section-title h2{
        font-size:30px;
    }

    .course-footer{

        flex-direction:column;
        gap:15px;
        align-items:flex-start;
    }
}